/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { FormFieldComponentDelegate, IFormFieldComponentDelegateOptions } from '../core';
import { IBaseComponentDelegateConfig } from '../core/delegates/base-component-delegate';
import { ISwitchComponent } from './switch';
export declare type SwitchComponentDelegateProps = Partial<ISwitchComponent>;
export interface ISwitchComponentDelegateOptions extends IFormFieldComponentDelegateOptions {
    id?: string;
    label?: string;
    selected?: boolean;
}
export interface ISwitchComponentDelegateConfig extends IBaseComponentDelegateConfig<ISwitchComponent, ISwitchComponentDelegateOptions> {
}
export declare class SwitchComponentDelegate extends FormFieldComponentDelegate<ISwitchComponent, ISwitchComponentDelegateOptions> {
    private _labelElement?;
    constructor(config?: ISwitchComponentDelegateConfig);
    get value(): boolean;
    set value(value: boolean);
    get disabled(): boolean;
    set disabled(value: boolean);
    get labelElement(): HTMLLabelElement | undefined;
    onChange(listener: (value: boolean) => void): void;
    onFocus(listener: (evt: Event) => void): void;
    onBlur(listener: (evt: Event) => void): void;
    setLabel(text: string | null): void;
    protected _build(): ISwitchComponent;
    protected _configure(): void;
    private _createLabel;
}
